<%import org.exoplatform.test.web.*; %>
<%import org.exoplatform.test.web.unit.WebUnit;%>

<html>
  <%= rmanager.include("org/exoplatform/test/web/report/templates/head.groovy") %>
  <body>
    <%= rmanager.include("org/exoplatform/test/web/report/templates/header.groovy") %>
    <div>
      <a href="../index.html">Summary</a>
    </div>
    <table width="100%"  border="1">
      <tr>
        <th>Unit Name</th>
        <th>Status</th>
        <th>Counter</th>
        <th>Error</th>
        <th>Malformed</th>
        <th>AVG(ms)</th>
        <th>AVG(kb)</th>
        <th>Sum(kb)</th>
      </tr>
      <%for(WebUnit unit : suite.getWebUnits()) { %>
      <% 
        WebUnitMonitor monitor = unit.getMonitor() ;
        if(unit.getStatus() == WebUnit.STATUS_BROKEN) {
          unitStatus = "BROKEN" ;
        } else if(unit.getStatus() == WebUnit.STATUS_INCOMPLETE) {
          unitStatus = "TODO" ;
        } else {
          unitStatus = "OK" ;
        }
      %>
        <tr>
          <td><a href="<%=unit.hashCode()%>.html"><%= unit.getName()%></a></td> 
          <td><%= unitStatus%></td>
          <td><%= monitor.getCounter() %></td>       
          <td><%= monitor.getErrorCounter()%> </td> 
          <td><%= monitor.getXhtmlMalformedCounter()%></td>
          <td><%= monitor.getAvgExecutionTime() %></td> 
          <td><%= monitor.getAvgContentLength()/1000 %> </td> 
          <td><%= monitor.getSumContentLength()/1000 %></td> 
        <tr>
      <%}%>
    </table>
    
    <%= rmanager.include("org/exoplatform/test/web/report/templates/footer.groovy") %>
  </body>
</html>